<script lang="ts">
  import { getCardSuit, getSuitEmoji } from "../utils";

  export let card: CardId | undefined = undefined;
  export let suit: Suit | undefined = undefined;

  $: computedSuit = suit ?? getCardSuit(card);
  $: emoji = getSuitEmoji(computedSuit);
</script>

<span class="wrapper">
  <span class="emoji suit-{computedSuit}">
    {emoji}
  </span>
</span>

<style>
  .wrapper {
    filter: drop-shadow(0 0 1px #000a);
  }

  .suit-G {
    filter: sepia(100%) saturate(200%) hue-rotate(230deg) brightness(80%)
      contrast(120%);
  }
  .suit-I {
    filter: hue-rotate(60deg);
  }
</style>
